<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Services\ThirdPlatform;

use App\Jobs\queue\QueueJob;
use App\Repositories\Contracts\ThirdApiPlatformRepository;
use App\Services\Kafka\KafkaService;
use App\Services\PlatformDataEntriesService;
use App\Support\Facades\SimpleKafka;

class ThirdPlatformService extends PlatformAbstractService
{
    public function __construct(ThirdApiPlatformRepository $thirdApiPlatformRepository)
    {
        parent::__construct($thirdApiPlatformRepository);
    }

    public function checkPlatformToken($platformName)
    {
        $this->setPlatformName($platformName);
        $platformToken = $this->getPlatformInfo('platform_token');
        return $platformToken;
    }
}

